--IP Functional Simulation Model
--VERSION_BEGIN 10.0SP1 cbx_mgl 2010:08:18:22:28:55:SJ cbx_simgen 2010:08:18:22:25:41:SJ  VERSION_END


-- Copyright (C) 1991-2010 Altera Corporation
-- Your use of Altera Corporation's design tools, logic functions 
-- and other software and tools, and its AMPP partner logic 
-- functions, and any output files from any of the foregoing 
-- (including device programming or simulation files), and any 
-- associated documentation or information are expressly subject 
-- to the terms and conditions of the Altera Program License 
-- Subscription Agreement, Altera MegaCore Function License 
-- Agreement, or other applicable license agreement, including, 
-- without limitation, that your use is for the sole purpose of 
-- programming logic devices manufactured by Altera and sold by 
-- Altera or its authorized distributors.  Please refer to the 
-- applicable agreement for further details.

-- You may only use these simulation model output files for simulation
-- purposes and expressly not for synthesis or any other purposes (in which
-- event Altera disclaims all warranties of any kind).


--synopsys translate_off

 LIBRARY sgate;
 USE sgate.sgate_pack.all;

--synthesis_resources = lut 5 oper_add 1 
 LIBRARY ieee;
 USE ieee.std_logic_1164.all;

 ENTITY  brojac4bit IS 
	 PORT 
	 ( 
		 x	:	IN  STD_LOGIC;
		 clk	:	IN  STD_LOGIC;
		 clr	:	IN  STD_LOGIC;
		 Q3	:	OUT  STD_LOGIC;
		 Q2	:	OUT  STD_LOGIC;
		 Q1	:	OUT  STD_LOGIC;
		 Q0	:	OUT  STD_LOGIC
	 ); 
 END brojac4bit;

 ARCHITECTURE RTL OF brojac4bit IS

	 ATTRIBUTE synthesis_clearbox : natural;
	 ATTRIBUTE synthesis_clearbox OF RTL : ARCHITECTURE IS 1;
	 SIGNAL	brojac4bit_flag_17q	:	STD_LOGIC := '0';
	 SIGNAL  wire_nl_w_lg_brojac4bit_flag_17q1w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL	brojac4bit_counter_0_16q	:	STD_LOGIC := '0';
	 SIGNAL	brojac4bit_counter_1_15q	:	STD_LOGIC := '0';
	 SIGNAL	brojac4bit_counter_2_14q	:	STD_LOGIC := '0';
	 SIGNAL	brojac4bit_counter_3_13q	:	STD_LOGIC := '0';
	 SIGNAL  wire_brojac4bit_add0_4_a	:	STD_LOGIC_VECTOR (3 DOWNTO 0);
	 SIGNAL  wire_brojac4bit_add0_4_b	:	STD_LOGIC_VECTOR (3 DOWNTO 0);
	 SIGNAL  wire_gnd	:	STD_LOGIC;
	 SIGNAL  wire_brojac4bit_add0_4_o	:	STD_LOGIC_VECTOR (3 DOWNTO 0);
	 SIGNAL  wire_w_lg_clr18w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  s_wire_brojac4bit_process_0_3_dataout :	STD_LOGIC;
	 SIGNAL  s_wire_vcc :	STD_LOGIC;
 BEGIN

	wire_gnd <= '0';
	wire_w_lg_clr18w(0) <= NOT clr;
	Q0 <= brojac4bit_counter_0_16q;
	Q1 <= brojac4bit_counter_1_15q;
	Q2 <= brojac4bit_counter_2_14q;
	Q3 <= brojac4bit_counter_3_13q;
	s_wire_brojac4bit_process_0_3_dataout <= (wire_nl_w_lg_brojac4bit_flag_17q1w(0) AND clk);
	s_wire_vcc <= '1';
	PROCESS (x)
	BEGIN
		IF (x = '1' AND x'event) THEN
			IF (clr = '0') THEN
				brojac4bit_flag_17q <= clk;
			END IF;
		END IF;
	END PROCESS;
	wire_nl_w_lg_brojac4bit_flag_17q1w(0) <= NOT brojac4bit_flag_17q;
	PROCESS (x, clr)
	BEGIN
		IF (clr = '1') THEN
				brojac4bit_counter_0_16q <= '0';
				brojac4bit_counter_1_15q <= '0';
				brojac4bit_counter_2_14q <= '0';
				brojac4bit_counter_3_13q <= '0';
		ELSIF (x = '1' AND x'event) THEN
			IF (s_wire_brojac4bit_process_0_3_dataout = '1') THEN
				brojac4bit_counter_0_16q <= wire_brojac4bit_add0_4_o(0);
				brojac4bit_counter_1_15q <= wire_brojac4bit_add0_4_o(1);
				brojac4bit_counter_2_14q <= wire_brojac4bit_add0_4_o(2);
				brojac4bit_counter_3_13q <= wire_brojac4bit_add0_4_o(3);
			END IF;
		END IF;
	END PROCESS;
	wire_brojac4bit_add0_4_a <= ( brojac4bit_counter_3_13q & brojac4bit_counter_2_14q & brojac4bit_counter_1_15q & brojac4bit_counter_0_16q);
	wire_brojac4bit_add0_4_b <= ( "0" & "0" & "0" & "1");
	brojac4bit_add0_4 :  oper_add
	  GENERIC MAP (
		sgate_representation => 0,
		width_a => 4,
		width_b => 4,
		width_o => 4
	  )
	  PORT MAP ( 
		a => wire_brojac4bit_add0_4_a,
		b => wire_brojac4bit_add0_4_b,
		cin => wire_gnd,
		o => wire_brojac4bit_add0_4_o
	  );

 END RTL; --brojac4bit
--synopsys translate_on
--VALID FILE
