--IP Functional Simulation Model
--VERSION_BEGIN 10.0SP1 cbx_mgl 2010:08:18:22:28:55:SJ cbx_simgen 2010:08:18:22:25:41:SJ  VERSION_END


-- Copyright (C) 1991-2010 Altera Corporation
-- Your use of Altera Corporation's design tools, logic functions 
-- and other software and tools, and its AMPP partner logic 
-- functions, and any output files from any of the foregoing 
-- (including device programming or simulation files), and any 
-- associated documentation or information are expressly subject 
-- to the terms and conditions of the Altera Program License 
-- Subscription Agreement, Altera MegaCore Function License 
-- Agreement, or other applicable license agreement, including, 
-- without limitation, that your use is for the sole purpose of 
-- programming logic devices manufactured by Altera and sold by 
-- Altera or its authorized distributors.  Please refer to the 
-- applicable agreement for further details.

-- You may only use these simulation model output files for simulation
-- purposes and expressly not for synthesis or any other purposes (in which
-- event Altera disclaims all warranties of any kind).


--synopsys translate_off

--synthesis_resources = lut 2 
 LIBRARY ieee;
 USE ieee.std_logic_1164.all;

 ENTITY  d_flipflop IS 
	 PORT 
	 ( 
		 D	:	IN  STD_LOGIC;
		 D1	:	IN  STD_LOGIC;
		 KL	:	IN  STD_LOGIC;
		 up_dw	:	OUT  STD_LOGIC
	 ); 
 END d_flipflop;

 ARCHITECTURE RTL OF d_flipflop IS

	 ATTRIBUTE synthesis_clearbox : natural;
	 ATTRIBUTE synthesis_clearbox OF RTL : ARCHITECTURE IS 1;
	 SIGNAL	d_flipflop_up_dw_reg0_7q	:	STD_LOGIC := '0';
	 SIGNAL	wire_nl_ENA	:	STD_LOGIC;
	 SIGNAL	d_flipflop_flag_1q	:	STD_LOGIC := '0';
	 SIGNAL  wire_nO_w_lg_d_flipflop_flag_1q1w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  s_wire_vcc :	STD_LOGIC;
 BEGIN

	s_wire_vcc <= '1';
	up_dw <= d_flipflop_up_dw_reg0_7q;
	PROCESS (KL)
	BEGIN
		IF (KL = '1' AND KL'event) THEN
			IF (wire_nl_ENA = '1') THEN
				d_flipflop_up_dw_reg0_7q <= D;
			END IF;
		END IF;
	END PROCESS;
	wire_nl_ENA <= (wire_nO_w_lg_d_flipflop_flag_1q1w(0) AND D1);
	PROCESS (KL)
	BEGIN
		IF (KL = '1' AND KL'event) THEN
				d_flipflop_flag_1q <= D1;
		END IF;
	END PROCESS;
	wire_nO_w_lg_d_flipflop_flag_1q1w(0) <= NOT d_flipflop_flag_1q;

 END RTL; --d_flipflop
--synopsys translate_on
--VALID FILE
