library IEEE;
use IEEE.std_logic_1164.all;
use IEEE.std_logic_arith.all;
use IEEE.std_logic_unsigned.all;

library altera;
use altera.alt_dspbuilder_package.all;

library lpm;
use lpm.lpm_components.all;
entity alt_dspbuilder_binary_to_7segment_GN is


	port(
		aclr : in std_logic;
		clock : in std_logic;
		data : in std_logic_vector((4)-1 downto 0);
		result : out std_logic_vector((7)-1 downto 0));		
end entity;

architecture rtl of alt_dspbuilder_binary_to_7segment_GN is 
Begin

-- DSP Builder Block - Simulink Block "BinaryToSevenSegments"
BinaryToSevenSegmentsi : alt_dspbuilder_sBin2BcdAltr 		
			port map (
				d(3 downto 0)	=>	data,
				r(6 downto 0)	=>	result);

end architecture;