-- This file is not intended for synthesis, is is present so that simulators
-- see a complete view of the system.

-- You may use the entity declaration from this file as the basis for a
-- component declaration in a VHDL file instantiating this entity.

--altera translate_off
library IEEE;
use IEEE.std_logic_1164.all;
use IEEE.NUMERIC_STD.all;

entity proba_bit5 is
	port (
		Clock : in std_logic := '0';
		LED0 : out std_logic;
		LED1 : out std_logic;
		LED2 : out std_logic;
		LED3 : out std_logic;
		LED4 : out std_logic;
		LED5 : out std_logic;
		LED6 : out std_logic;
		LED7 : out std_logic;
		LEDG0 : out std_logic;
		LEDG1 : out std_logic;
		LEDG2 : out std_logic;
		LEDG3 : out std_logic;
		LEDG4 : out std_logic;
		LEDG5 : out std_logic;
		LEDG6 : out std_logic;
		LEDG7 : out std_logic;
		PB1 : in std_logic := '0';
		PB2 : in std_logic := '0';
		PB3 : in std_logic := '0';
		SW17 : in std_logic := '0';
		Simple_7_Segment_Display_0 : out std_logic_vector(7-1 downto 0);
		Simple_7_Segment_Display_1 : out std_logic_vector(7-1 downto 0);
		Simple_7_Segment_Display_3 : out std_logic_vector(7-1 downto 0);
		aclr : in std_logic := '0'
	);
end entity proba_bit5;

architecture rtl of proba_bit5 is

component proba_bit5_GN is
	port (
		Clock : in std_logic := '0';
		LED0 : out std_logic;
		LED1 : out std_logic;
		LED2 : out std_logic;
		LED3 : out std_logic;
		LED4 : out std_logic;
		LED5 : out std_logic;
		LED6 : out std_logic;
		LED7 : out std_logic;
		LEDG0 : out std_logic;
		LEDG1 : out std_logic;
		LEDG2 : out std_logic;
		LEDG3 : out std_logic;
		LEDG4 : out std_logic;
		LEDG5 : out std_logic;
		LEDG6 : out std_logic;
		LEDG7 : out std_logic;
		PB1 : in std_logic := '0';
		PB2 : in std_logic := '0';
		PB3 : in std_logic := '0';
		SW17 : in std_logic := '0';
		Simple_7_Segment_Display_0 : out std_logic_vector(7-1 downto 0);
		Simple_7_Segment_Display_1 : out std_logic_vector(7-1 downto 0);
		Simple_7_Segment_Display_3 : out std_logic_vector(7-1 downto 0);
		aclr : in std_logic := '0'
	);
end component proba_bit5_GN;

begin

proba_bit5_GN_0: if true generate
	inst_proba_bit5_GN_0: proba_bit5_GN
		port map(Clock => Clock, LED0 => LED0, LED1 => LED1, LED2 => LED2, LED3 => LED3, LED4 => LED4, LED5 => LED5, LED6 => LED6, LED7 => LED7, LEDG0 => LEDG0, LEDG1 => LEDG1, LEDG2 => LEDG2, LEDG3 => LEDG3, LEDG4 => LEDG4, LEDG5 => LEDG5, LEDG6 => LEDG6, LEDG7 => LEDG7, PB1 => PB1, PB2 => PB2, PB3 => PB3, SW17 => SW17, Simple_7_Segment_Display_0 => Simple_7_Segment_Display_0, Simple_7_Segment_Display_1 => Simple_7_Segment_Display_1, Simple_7_Segment_Display_3 => Simple_7_Segment_Display_3, aclr => aclr);
end generate;

end architecture rtl;

--altera translate_on
