--IP Functional Simulation Model
--VERSION_BEGIN 10.0SP1 cbx_mgl 2010:08:18:22:28:55:SJ cbx_simgen 2010:08:18:22:25:41:SJ  VERSION_END


-- Copyright (C) 1991-2010 Altera Corporation
-- Your use of Altera Corporation's design tools, logic functions 
-- and other software and tools, and its AMPP partner logic 
-- functions, and any output files from any of the foregoing 
-- (including device programming or simulation files), and any 
-- associated documentation or information are expressly subject 
-- to the terms and conditions of the Altera Program License 
-- Subscription Agreement, Altera MegaCore Function License 
-- Agreement, or other applicable license agreement, including, 
-- without limitation, that your use is for the sole purpose of 
-- programming logic devices manufactured by Altera and sold by 
-- Altera or its authorized distributors.  Please refer to the 
-- applicable agreement for further details.

-- You may only use these simulation model output files for simulation
-- purposes and expressly not for synthesis or any other purposes (in which
-- event Altera disclaims all warranties of any kind).


--synopsys translate_off

--synthesis_resources = lut 1 
 LIBRARY ieee;
 USE ieee.std_logic_1164.all;

 ENTITY  d_ff_SR IS 
	 PORT 
	 ( 
		 Q	:	OUT  STD_LOGIC;
		 Reset	:	IN  STD_LOGIC;
		 CLK	:	IN  STD_LOGIC;
		 D	:	IN  STD_LOGIC;
		 SET	:	IN  STD_LOGIC
	 ); 
 END d_ff_SR;

 ARCHITECTURE RTL OF d_ff_SR IS

	 ATTRIBUTE synthesis_clearbox : natural;
	 ATTRIBUTE synthesis_clearbox OF RTL : ARCHITECTURE IS 1;
	 SIGNAL	d_ff_sr_inst_2q	:	STD_LOGIC := '0';
	 SIGNAL  s_wire_vcc :	STD_LOGIC;
 BEGIN

	Q <= d_ff_sr_inst_2q;
	s_wire_vcc <= '1';
	PROCESS (CLK, SET, Reset)
	BEGIN
		IF (SET = '0') THEN
				d_ff_sr_inst_2q <= '1';
		ELSIF (Reset = '0') THEN
				d_ff_sr_inst_2q <= '0';
		ELSIF (CLK = '1' AND CLK'event) THEN
				d_ff_sr_inst_2q <= D;
		END IF;
	END PROCESS;

 END RTL; --d_ff_SR
--synopsys translate_on
--VALID FILE
