--IP Functional Simulation Model
--VERSION_BEGIN 10.0SP1 cbx_mgl 2010:08:18:22:28:55:SJ cbx_simgen 2010:08:18:22:25:41:SJ  VERSION_END


-- Copyright (C) 1991-2010 Altera Corporation
-- Your use of Altera Corporation's design tools, logic functions 
-- and other software and tools, and its AMPP partner logic 
-- functions, and any output files from any of the foregoing 
-- (including device programming or simulation files), and any 
-- associated documentation or information are expressly subject 
-- to the terms and conditions of the Altera Program License 
-- Subscription Agreement, Altera MegaCore Function License 
-- Agreement, or other applicable license agreement, including, 
-- without limitation, that your use is for the sole purpose of 
-- programming logic devices manufactured by Altera and sold by 
-- Altera or its authorized distributors.  Please refer to the 
-- applicable agreement for further details.

-- You may only use these simulation model output files for simulation
-- purposes and expressly not for synthesis or any other purposes (in which
-- event Altera disclaims all warranties of any kind).


--synopsys translate_off

--synthesis_resources = lut 1 
 LIBRARY ieee;
 USE ieee.std_logic_1164.all;

 ENTITY  JK_FF IS 
	 PORT 
	 ( 
		 Q1	:	OUT  STD_LOGIC;
		 K1	:	IN  STD_LOGIC;
		 J1	:	IN  STD_LOGIC;
		 clk	:	IN  STD_LOGIC
	 ); 
 END JK_FF;

 ARCHITECTURE RTL OF JK_FF IS

	 ATTRIBUTE synthesis_clearbox : natural;
	 ATTRIBUTE synthesis_clearbox OF RTL : ARCHITECTURE IS 1;
	 SIGNAL	jk_ff_inst_2q	:	STD_LOGIC := '0';
	 SIGNAL  wire_nO_w_lg_w_lg_jk_ff_inst_2q1w2w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_nO_w_lg_jk_ff_inst_2q4w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_nO_w_lg_jk_ff_inst_2q1w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_K13w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  s_wire_vcc :	STD_LOGIC;
 BEGIN

	wire_w_lg_K13w(0) <= NOT K1;
	Q1 <= jk_ff_inst_2q;
	s_wire_vcc <= '1';
	PROCESS (clk)
	BEGIN
		IF (clk = '1' AND clk'event) THEN
				jk_ff_inst_2q <= (wire_nO_w_lg_w_lg_jk_ff_inst_2q1w2w(0) OR wire_nO_w_lg_jk_ff_inst_2q4w(0));
		END IF;
	END PROCESS;
	wire_nO_w_lg_w_lg_jk_ff_inst_2q1w2w(0) <= wire_nO_w_lg_jk_ff_inst_2q1w(0) AND J1;
	wire_nO_w_lg_jk_ff_inst_2q4w(0) <= jk_ff_inst_2q AND wire_w_lg_K13w(0);
	wire_nO_w_lg_jk_ff_inst_2q1w(0) <= NOT jk_ff_inst_2q;

 END RTL; --JK_FF
--synopsys translate_on
--VALID FILE
