-- This file is not intended for synthesis, is is present so that simulators
-- see a complete view of the system.

-- You may use the entity declaration from this file as the basis for a
-- component declaration in a VHDL file instantiating this entity.

library IEEE;
use IEEE.std_logic_1164.all;
use IEEE.NUMERIC_STD.all;

entity alt_dspbuilder_binary_to_7segment is
	port (
		aclr : in std_logic := '0';
		clock : in std_logic := '0';
		data : in std_logic_vector(4-1 downto 0) := (others=>'0');
		result : out std_logic_vector(7-1 downto 0)
	);
end entity alt_dspbuilder_binary_to_7segment;

architecture rtl of alt_dspbuilder_binary_to_7segment is

component alt_dspbuilder_binary_to_7segment_GN is
	port (
		aclr : in std_logic := '0';
		clock : in std_logic := '0';
		data : in std_logic_vector(4-1 downto 0) := (others=>'0');
		result : out std_logic_vector(7-1 downto 0)
	);
end component alt_dspbuilder_binary_to_7segment_GN;

begin

alt_dspbuilder_binary_to_7segment_GN_0: if true generate
	inst_alt_dspbuilder_binary_to_7segment_GN_0: alt_dspbuilder_binary_to_7segment_GN
		port map(aclr => aclr, clock => clock, data => data, result => result);
end generate;

end architecture rtl;

