--------------------------------------------------------------------------------------------
-- DSP Builder (Version 9.1)
-- Quartus II development tool and MATLAB/Simulink Interface
-- 
-- Legal Notice:  2001 Altera Corporation. All rights reserved.  Your use of Altera 
-- Corporation's design tools, logic functions and other software and tools, and its 
-- AMPP partner logic functions, and any output files any of the foregoing 
-- (including device programming or simulation files), and any associated 
-- documentation or information are expressly subject to the terms and conditions 
-- of the Altera Program License Subscription Agreement, Altera MegaCore Function 
-- License Agreement, or other applicable license agreement, including, without 
-- limitation, that your use is for the sole purpose of programming logic devices 
-- manufactured by Altera and sold by Altera or its authorized distributors.  
-- Please refer to the applicable agreement for further details.
--------------------------------------------------------------------------------------------



library ieee ;
USE ieee.std_logic_1164.all;


library altera;
use altera.alt_dspbuilder_package.all;

entity alt_dspbuilder_sBin2BcdAltr is
	port
	(
		d		: in std_logic_vector (3 downto 0);
		r		: out std_logic_vector (6 downto 0)
	);
end alt_dspbuilder_sBin2BcdAltr;

architecture syn of alt_dspbuilder_sBin2BcdAltr is
begin
	process(d)
	begin
		case d is
			when "0000" => r<="1000000";--0
			when "0001" => r<="1111001";--1
			when "0010" => r<="0100100";--2
			when "0011" => r<="0110000";--3
			when "0100" => r<="0011001";--4
			when "0101" => r<="0010010";--5
			when "0110" => r<="0000010";--6
			when "0111" => r<="1111000";--7
			when "1000" => r<="0000000";--8
			when "1001" => r<="0010000";--9
			when "1010" => r<="0001000";--A
			when "1011" => r<="0000011";--B
			when "1100" => r<="1000110";--C
			when "1101" => r<="0100001";--D
			when "1110" => r<="0000110";--E
			when "1111" => r<="0001110";--F
			when others => r<="1000000";--0
		end case;		
	end process;
end syn;


